//只允许输入数字和小数点
export const restrictInputNumberAndDecimalInput = (value: any) => {
    if (!value) {
        return;
    }
    value = value.replace(/[^\d.]/g, ""); // 清除"数字"和"."以外的字符 只能输入数字和小数点
    value = value.replace(/\.{2,}/g, "."); // 不能连续输入两个及以上小数点
    value = value.replace(".", "$#$").replace(/\./g, "").replace("$#$", "."); // 只保留第一个".", 清除多余的"."
    return value;
};
